[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TProgressEventEx

Specifies an event handler signalled to indicate compression/decompression progress

## Declaration

Source position: zipper.pp line 201

`type TProgressEventEx = procedure(`
`Sender: TObject;`
`const ATotPos: Int64;`
`const ATotSize: Int64`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification
`ATotPos` |  | Cumulative number of bytes handled in the caller
`ATotSize` |  | Total number of bytes to be processed in the caller

## Description

TProgressEventEx is an object procedure which implements an event handler signalled to indicate compression/decompression progress. It is very similar to TProgressEvent, but provides separate values for the cumulative number of bytes handled and the total number of bytes to be processed.

TProgressEventEx is the type used to implement the OnProgressEx property in TDeCompressor and TUnZipper.

## See also

TDeCompressor.OnProgressEx |  | Event handler signalled to indicate progress using processed and total byte counts
TInflater.Decompress |  | Removes compression applied using the deflate algorithm
TUnZipper.OnProgressEx |  | Extended progress event handler used when decompressing files
TUnZipper.UnZipAllFiles |  | Unzips all files in a zip file, writing them to disk
TProgressEvent |  | Event procedure for capturing compression/decompression progress